#pragma once
#include "Entity.h"
#define CS_FALLROCK_CREATENAME L"CS_fallrock"
//ÂäÊ¯
class CS_FallRock :
    public Entity
{
public:
    CS_FallRock();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool initIgnoreSoild = true;
    bool bFallState = false;
    int sleepState_counter = 0;
    int sleepState_counter_max = 20;
    bool setSplash = false;
};

std::shared_ptr<Entity> CreateCS_FallRock();
